Subject: What is Papaver bracteatum?

From: Don Martinson <[email-masked]>
Date: 7 Mar 1995 15:51:03 GMT

I've just purchased some seeds of Papaver bracteatum from Thompson and Morgan
, which lists them along with Papaver orientale.  However, my Hortus III
says that they are the same thing.  Does anyone have any experience
with this plant?